Package it.ernytech.tdlib

## Class TdApi.PageBlockChatLink

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockChatLink

Enclosing class:
  TdApi

    public static class TdApi.PageBlockChatLink
    extends TdApi.PageBlock

A link to a chat.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.ChatPhoto` `photo` Chat photo; may be null.
`java.lang.String` `title` Chat title.
`java.lang.String` `username` Chat username, by which all other information about the chat should be resolved.

### Constructor Summary

Constructors
`PageBlockChatLink()` Default constructor.
`PageBlockChatLink​(java.lang.String title, TdApi.ChatPhoto photo, java.lang.String username)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### title

    public java.lang.String title

Chat title.

#### photo

    public TdApi.ChatPhoto photo

Chat photo; may be null.

#### username

    public java.lang.String username

Chat username, by which all other information about the chat should be resolved.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockChatLink

    public PageBlockChatLink()

Default constructor.

#### PageBlockChatLink

    public PageBlockChatLink​(java.lang.String title,
                             TdApi.ChatPhoto photo,
                             java.lang.String username)

Constructor for initialization of all fields.

Parameters:
  `title` - Chat title.
  `photo` - Chat photo; may be null.
  `username` - Chat username, by which all other information about the chat should be resolved.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR